--- title: "Create snapshot" slug: "analytics-vpcsearchengine-snapshot-createsnapshot" tags: ["Search Engine Service"] updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/analytics-vpcsearchengine-snapshot-createsnapshot" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create snapshot Available in VPC Create a search engine cluster snapshot. Created snapshots are stored in the Object Storage bucket. Note An API authentication key is required to access Object Storage. See the following for how to set up an API authentication key. - Set from NAVER Cloud Platform console: [Search Engine Service User Guide](https://guide.ncloud-docs.com/docs/en/ses-snapshot-vpc#api-%EC%9D%B8%EC%A6%9D%ED%82%A4-%EC%84%A4%EC%A0%95) - Set using API: [Check and create API authentication key](/docs/en/common-ncpapi) > [Set API authentication key](/docs/en/analytics-vpcsearchengine-snapshot-updateapiauthenticationkey) ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/snapshot/createSnapshot/{serviceGroupInstanceNo} (Korea Region) | | POST | /api/sgn-v2/snapshot/createSnapshot/{serviceGroupInstanceNo} (Singapore Region) | | POST | /api/jpn-v2/snapshot/createSnapshot/{serviceGroupInstanceNo} (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-vpcsearchengine-cluster-getclusterinfolist). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `snapshotName` | String | Required | Snapshot name - Enter 3 to 30 characters using a combination of lowercase English letters, numbers, and the special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Special character "-" can't be used consecutively. | | `bucketName` | String | Required | Object Storage bucket name - See [Get bucket list](/docs/en/analytics-vpcsearchengine-snapshot-getbucketlist). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://vpcsearchengine.apigw.ntruss.com/api/v2/snapshot/createSnapshot/1037*****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "snapshotName": "snapshot-20250324", "bucketName": "bk.ses.snapshot" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Boolean | - | Response result - `true` \| `null` - `true`: succeeded - `null`: failed | | `requestId` | String | - | ID for the request - UUID format | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": true, "requestId": "f1c17f0b-****-****-****-9c6d0dfd5ec2" } ```